Bug 58534 - : Resizing a plot scatter x-y plot with large data causes freeze
Summary: : Resizing a plot scatter x-y plot with large data causes freeze
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other Linux (All)
: high minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: perf
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2012-12-19 20:45 UTC by ferran.obon
Modified: 2018-11-03 08:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
This is a file for testing. The procedure is explained in the bug report (261.38 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-12-19 20:45 UTC, ferran.obon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ferran.obon 2012-12-19 20:45:19 UTC
Created attachment 71820 [details]
This is a file for testing. The procedure is explained in the bug report

Problem description: 

When trying to resize a xy scatter plot with large amount of data (two plots with 4096 rows in my case), the program freezes and/or takes a large amount of time to complete the action (if it ever gets completed). It should not be the case in a core i7.
Operating system Debian wheezy and running under KDE.


Steps to reproduce:
1. Create a xy scatter (only lines) plot with large data
2. Resize the plot.
3. The program freezes
4. The attached spreadsheet can be used. Add to a plot scatter plot xy (only lines) with two sets of data:
   - x values: J5 to J4100
   - y1 values: B5 to B4100
   - y2 values: M5 to M4100

Expected behavior: The size of the plot should change in a few seconds maximum and not staying idle using 100% workload on a single core for long time (sometimes more than 10 min).



              
Operating System: Debian
Version: 3.5.4 release
Comment 1 Joel Madero 2013-05-29 18:27:07 UTC
Thank you for reporting this issue! I have been able to confirm the issue on:
Version: 4.2.0.0.alpha0+Build ID: b0a1666f756aa5f5315366eca9d7d02ddd55d2b
Date:   Tue May 28 08:51:01 2013 +0300 
Platform: Bodhi Linux 2.2 x64

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +

Per discussion with Markus, this is a known issue that's essentially caused because every resize redraws the points. Anything past about 1000 rows can cause issues with smoothing. 

What I can confirm:
Creating the original scatter plot is quite slow (maybe good to have an attachment with it already made) On my system (dual core 64bit,2.2 ghz, 4 gigs RAM, it's been 10ish minutes and still just calculating stuff)

Resizing will have the same issue since it's just recreating it from scratch essentially.


Marking as:
New (confirmed)
Minor - doesn't prevent high quality work but definitely can slow it down substantially
High - 1000 row threshold is quite low for professional power users. But fix is probably going to be tough and require substantial code changes.




Cc'ing Markus as he's the pro


Thanks for reporting!

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage and join us on freenode at #libreoffice-qa

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 2 Robinson Tryon (qubit) 2015-12-10 02:02:46 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-01-03 19:40:38 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103